<?php
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';
$set['title']= 'Подарки';
include_once '../sys/inc/thead.php';
title();
aut();
only_reg();

if (isset($_GET['id'])){

$id = intval($_GET['id']);

}else{

$id = $user['id'];

}

$usr = mysql_fetch_array(mysql_query("select * from `user` WHERE `id` = '".$id."'"));

echo '<div class="busi">';

echo '<img src="img.png" alt="."/> Подарить подарок <b>'.$usr['nick'].'</b><br/>';

echo '</div>';

if ($id == $user['id']){

echo '<div class="p_m">';

echo 'Нельзя дарить подарки самому себе.<br/>';

echo '</div>';

}else{

if (isset($_GET['pod'])){

$pid = intval($_GET['pid']);

$n = mysql_num_rows(mysql_query("select * from `pod_file` WHERE `id` = '".$pid."' and `del` = '0'"));

$k = mysql_fetch_array(mysql_query("select * from `pod_file` WHERE `id` = '".$pid."'"));

$tt = mysql_fetch_array(mysql_query("select * from `pod_in` WHERE `kto_id` = '".$user['id']."'"));

$t = time() - 300;

$k2 = mysql_fetch_array(mysql_query("select * from `pod_cat` WHERE `id` = '".$k['cat_id']."'"));

$summa = $k['cena'] + $k2['cena'];

if ($n == 0){

echo '<div class="p_m">';

echo 'Подарок не найден.<br/>';

echo '</div>';

}else{

echo '<div class="p_m">';

if (isset($_POST['submit'])){

$komm = mysql_real_escape_string($_POST['komm']);

$str_komm = strlen($komm);

$private = intval($_POST['private']);

if ($_POST['anonim']==1){$anonim = '1';}else{$anonim = '0';}

if ($_POST['time']==1){$ttt = '1';}else{$ttt = '0';}

if ($_POST['komm_aftar']==1){$komm_a = '1';}else{$komm_a = '0';}

if ($str_komm>128){

echo 'Комментарий не может быть больше 128 символов.<br/>';

echo '<a href="/pod/new.php?id='.$id.'&pid='.$pid.'">Попробовать ещё раз</a><br/>';

}else{

if ($private == 0){

echo 'Необходимо указать какой подарок: приватный или виден всем.<br/>';

echo '<a href="/pod/new.php?id='.$id.'&pid='.$pid.'">Попробовать ещё раз</a><br/>';

}else{

if ($user['balls']<$summa){

echo 'У Вас не хватает средств на этот подарок. Необходимо: <b>'.$summa.'</b><br/>';

echo '<a href="/pod/new.php?id='.$id.'&pid='.$pid.'">Попробовать ещё раз</a><br/>';

}else{

if ($tt['time']>$t){

echo 'Нельзя дарить подарки так часто, подождите 5 мин.<br/>';

echo '<a href="/pod/new.php?id='.$id.'&pid='.$pid.'">Попробовать ещё раз</a><br/>';

}else{


// Подарок отправлен

echo 'Подарок успешно подарен.<br/>';

mysql_query("UPDATE `user` SET `balls` = `balls` - '".$summa."' WHERE `id` = '".$user['id']."' LIMIT 1");

mysql_query("INSERT INTO `pod_in` (`kto_id`, `komu_id`, `pod_id`, `private`, `anonim`, `time_off`, `komm_aftar`, `time`, `komm`) VALUES ('".$user['id']."', '".$id."', '".$pid."', '".$private."', '".$anonim."', '".$ttt."', '".$komm_a."', '".time()."', '".$komm."');");

$idi = mysql_insert_id();

if ($private == 1){

$msg = 'Вам сделали анонимный [url=/pod/pod.php?id='.$idi.']подарок[/url]';

}else{

$msg = 'Вам пришёл [url=/pod/pod.php?id='.$idi.']подарок[/url] от '.$user['nick'].'';

}

mysql_query("INSERT INTO `mail` (`id_user`, `id_kont`, `msg`, `time`) values('0', '$id', '".$msg."', '$time')");

}

}

}

}

}else{

echo 'Вы хотите подарить пользователю <b>'.$usr['nick'].'</b> подарок:<br/>';

echo '<img src="/pod/image/'.$k['file'].'" alt="."/><br/>';

echo 'Общая цена подарка: <b>'.$summa.'</b> баллов.<br/>';

echo '</div>';

echo '<div class="p_m">';

echo '<form action="/pod/new.php?pod&pid='.$pid.'&id='.$id.'" method="post">';

echo 'Комментарий к подарку (128 симв.):<br/>';

echo '<font color="red">* Необязательно.</font><br/>';

echo '<input type="text" name="komm" value=""/><br/><br/>';

echo '<input type="radio" name="private" value="1"/> Приватно<br/>';

echo '<input type="radio" name="private" value="2"/> Виден всем<br/><br/>';

echo '<input type="checkbox" name="anonim" value="1"/> Анонимно<br/>';

echo '<input type="checkbox" name="time" value="1"/> Скрыть дату<br/>';

echo '<input type="checkbox" name="komm_aftar" value="1"/> Комментарий виден только получателю<br/>';

echo '<input type="submit" name="submit" value="Подарить"/>';

}

echo '</div>';

}

}else{

if (isset($_GET['cat'])){

$ids = intval($_GET['ids']);

$nums = mysql_num_rows(mysql_query("select * from `pod_cat` WHERE `id` = '".$ids."'"));

$cats = mysql_fetch_array(mysql_query("select * from `pod_cat` WHERE `id` = '".$ids."'"));

if ($nums == 0){

echo '<div class="p_m">';

echo 'Категория не найдена.<br/>';

echo '</div>';

}else{

$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `pod_file` WHERE `cat_id` = '".$ids."' and `del` = '0'"),0);
$k_page = k_page($k_post,$set['p_str']);
$page = page($k_page);
$start = $set['p_str']*$page-$set['p_str'];
$res = mysql_query("select * from `pod_file` WHERE `cat_id` = '".$ids."' and `del` = '0' order by time desc LIMIT $start, $set[p_str];");

if ($k_post == 0){

echo '<div class="p_m">';

echo 'В разделе нет подарков.<br/>';

echo '</div>';

}else{

while($post = mysql_fetch_array($res)){

echo '<div class="p_m">';

echo '<img src="/pod/image/'.$post['file'].'" alt="."/><br/>';

echo 'Цена: '.$post['cena'].' <font color="green">+'.$cats['cena'].' от категории.</font><br/>';

echo '<a href="/pod/new.php?pod&pid='.$post['id'].'&id='.$id.'">Подарить</a><br/>';

echo '</div>';

}

if ($k_page>1)str('?cat&id='.$id.'&ids='.$ids.'&',$k_page,$page);

}

}

}else{

$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `pod_cat`"),0);
$k_page = k_page($k_post,$set['p_str']);
$page = page($k_page);
$start = $set['p_str']*$page-$set['p_str'];
$res = mysql_query("select * from `pod_cat` order by time");

if ($k_post == 0){

echo '<div class="p_m">';

echo 'Нет разделов с подарками.<br/>';

echo '</div>';

}else{

echo '<div class="p_m">';

while($post = mysql_fetch_array($res)){

$num = mysql_num_rows(mysql_query("select * from `pod_file` WHERE `cat_id` = '".$post['id']."' and `del` = '0'"));

$num_time = mysql_num_rows(mysql_query("select * from `pod_file` WHERE `cat_id` = '".$post['id']."'and `time` > '".(time()-86400)."'"));

echo '<img src="img.png" alt="."/> <a href="/pod/new.php?cat&ids='.$post['id'].'&id='.$id.'">'.$post['name'].'</a> ['.$num.']';

if ($num_time>0){

echo ' <font color="red">+'.$num_time.'</font>';

}

echo '<br/>';

}

echo '</div>';

}

}

}

}

echo '<div class="foot">';

echo '<img src="/style/icons/back.png" alt="."/> <a href="/pod/?id='.$id.'">Назад</a><br/>';

echo '<img src="img.png" alt="."/> <a href="/info.php?id='.$id.'">В анкету</a><br/>';

echo '</div>';


include_once '../sys/inc/tfoot.php';
?>